Package org.jfree.layouting.renderer.model.table

## Class TableLayoutInfo

- java.lang.Object
- - org.jfree.layouting.renderer.model.table.TableLayoutInfo

-     public class TableLayoutInfo
      extends java.lang.Object

  Creation-Date: 09.09.2006, 14:50:21
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TableLayoutInfo​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `RenderLength` | `getBorderSpacing​()` |
    `RenderLength` | `getRowSpacing​()` |
    `boolean` | `isAutoLayout​()` |
    `boolean` | `isCollapsingBorderModel​()` |
    `boolean` | `isDisplayEmptyCells​()` |
    `void` | `setAutoLayout​(boolean autoLayout)` |
    `void` | `setBorderSpacing​(RenderLength borderSpacing)` |
    `void` | `setCollapsingBorderModel​(boolean collapsingBorderModel)` |
    `void` | `setDisplayEmptyCells​(boolean displayEmptyCells)` |
    `void` | `setRowSpacing​(RenderLength rowSpacing)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableLayoutInfo

          public TableLayoutInfo​()

  - ### Method Detail

    - #### getBorderSpacing

          public RenderLength getBorderSpacing​()

    - #### setBorderSpacing

          public void setBorderSpacing​(RenderLength borderSpacing)

    - #### getRowSpacing

          public RenderLength getRowSpacing​()

    - #### setRowSpacing

          public void setRowSpacing​(RenderLength rowSpacing)

    - #### isDisplayEmptyCells

          public boolean isDisplayEmptyCells​()

    - #### setDisplayEmptyCells

          public void setDisplayEmptyCells​(boolean displayEmptyCells)

    - #### isCollapsingBorderModel

          public boolean isCollapsingBorderModel​()

    - #### setCollapsingBorderModel

          public void setCollapsingBorderModel​(boolean collapsingBorderModel)

    - #### isAutoLayout

          public boolean isAutoLayout​()

    - #### setAutoLayout

          public void setAutoLayout​(boolean autoLayout)